dbamp
Prev | Orchestra Opcodes and Operators | Next

## dbamp

dbamp — Returns the decibel equivalent of the raw amplitude x.

## Description

Returns the decibel equivalent of the raw amplitude x.

## Syntax

    dbamp(x)  (init-rate or control-rate args only)

## Examples

Here is an example of the dbamp opcode. It uses the file dbamp.csd.

Example 148. Example of the dbamp opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;RT audio out
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o dbamp.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2

    instr 1

    iamp = p4
    idb  = dbamp(iamp)
         print idb
    asig vco2 iamp, 110	;sawtooth
         outs asig, asig

    endin

    </CsInstruments>
    <CsScore>

    i 1 0 1 100
    i 1 + 1 1000
    i 1 + 1 10000
    i 1 + 1 20000
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    instr 1:  idb = 40.000
    instr 1:  idb = 60
    instr 1:  idb = 80
    instr 1:  idb = 86.021

## See Also

ampdb, ampdbfs, dbfsamp

Prev | Up | Next
db | Home | dbfsamp